Mailinglist Archive: opensuse-bugs (5637 mails)

< Previous Next >
[Bug 345004] [zypper] shell is broken; only 1 command usable at a time.
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 5 Dec 2007 10:54:50 -0700 (MST)
  • Message-id: <20071205175450.ABA05CC6B5@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=345004

User dominique.leuenberger@xxxxxxxxxxxxx added comment
https://bugzilla.novell.com/show_bug.cgi?id=345004#c5





--- Comment #5 from Dominique Leuenberger <dominique.leuenberger@xxxxxxxxxxxxx>
2007-12-05 10:54:49 MST ---
Tested with 0.9.2-3, issued the commands:

zypper sh
zypper> lu -t package
Resullt: OK
zypper> in
Result:OK
zypper> lu -t package
Result: FAIL (Too many arguments.)
zypper> in zypper
RESULT: Nothing happens.

I close zypper, perform update to Zypper 0.9.3-2 (zypper in zypper, w/o shell)

zypper sh (this time with 0.9.3-2)
zypper> lu -t package
No updates found.

erm... the latter message is surely wrong.. I did not update Factory for about
3 weeks and only just updated zip before (and there was a long list)

Deleted /var/cache/zypp/zypp.db

zypper sh
zypper> lu -t package
No updates found.

I perform a manual update to Libzypp 4.1.4

zypper sh
zypper> lu -t package
Result: OK (well: there was a missing dependency then in the RPMs, but well)
zypper> in zsh
REsult: OK
zypper> lu -t package
Result: OK
zypper> help
result: OK
zypper> ?
result: OK
zypper> in zenity
Reult: nothing happens.

So.. I would say: a bit better, but not solved...

Conclusion: the shell is still broken, in plus, zypper does not have a correct
dependency (shall I file another report for this?)


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >